Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swing.addon.text
Class JavaEditorKit

    java.lang.Object
      |
      +--javax.swing.text.EditorKit
            |
            +--javax.swing.text.DefaultEditorKit
                  |
                  +--javax.swing.text.StyledEditorKit
                        |
                        +--swing.addon.text.JavaEditorKit

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class JavaEditorKit
extends javax.swing.text.StyledEditorKit

This kit supports a fairly minimal handling of editing java text content. It supports syntax highlighting and produces the lexical structure of the document as best it can.

Version:
  1.2 05/04/98
Author:
  Timothy Prinzing
See Also:
  Serialized Form

Inner classes inherited from class javax.swing.text.StyledEditorKit
`javax.swing.text.StyledEditorKit.AlignmentAction, javax.swing.text.StyledEditorKit.BoldAction, javax.swing.text.StyledEditorKit.FontFamilyAction, javax.swing.text.StyledEditorKit.FontSizeAction, javax.swing.text.StyledEditorKit.ForegroundAction, javax.swing.text.StyledEditorKit.ItalicAction, javax.swing.text.StyledEditorKit.StyledTextAction, javax.swing.text.StyledEditorKit.UnderlineAction`

Inner classes inherited from class javax.swing.text.DefaultEditorKit
`javax.swing.text.DefaultEditorKit.BeepAction, javax.swing.text.DefaultEditorKit.CopyAction, javax.swing.text.DefaultEditorKit.CutAction, javax.swing.text.DefaultEditorKit.DefaultKeyTypedAction, javax.swing.text.DefaultEditorKit.InsertBreakAction, javax.swing.text.DefaultEditorKit.InsertContentAction, javax.swing.text.DefaultEditorKit.InsertTabAction, javax.swing.text.DefaultEditorKit.PasteAction`

Fields inherited from class javax.swing.text.DefaultEditorKit
`backwardAction, beepAction, beginAction, beginLineAction, beginParagraphAction, beginWordAction, copyAction, cutAction, defaultKeyTypedAction, deleteNextCharAction, deletePrevCharAction, downAction, endAction, endLineAction, EndOfLineStringProperty, endParagraphAction, endWordAction, forwardAction, insertBreakAction, insertContentAction, insertTabAction, nextWordAction, pageDownAction, pageUpAction, pasteAction, previousWordAction, readOnlyAction, selectAllAction, selectionBackwardAction, selectionBeginAction, selectionBeginLineAction, selectionBeginParagraphAction, selectionBeginWordAction, selectionDownAction, selectionEndAction, selectionEndLineAction, selectionEndParagraphAction, selectionEndWordAction, selectionForwardAction, selectionNextWordAction, selectionPreviousWordAction, selectionUpAction, selectLineAction, selectParagraphAction, selectWordAction, upAction, writableAction`

Constructor Summary
`JavaEditorKit()`

Method Summary
`java.lang.Object` | `clone()` Create a copy of the editor kit.
`javax.swing.text.Document` | `createDefaultDocument()` Creates an uninitialized text storage model that is appropriate for this type of editor.
`java.lang.String` | `getContentType()` Get the MIME type of the data that this kit represents support for.
`JavaContext` | `getStylePreferences()`
`javax.swing.text.ViewFactory` | `getViewFactory()` Fetches a factory that is suitable for producing views of any models that are produced by this kit.
`void` | `setStylePreferences(JavaContext prefs)`

Methods inherited from class javax.swing.text.StyledEditorKit
`createInputAttributes, deinstall, getActions, getCharacterAttributeRun, getInputAttributes, install`

Methods inherited from class javax.swing.text.DefaultEditorKit
`createCaret, read, read, write, write`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaEditorKit

    public JavaEditorKit()

Method Detail

### clone

    public java.lang.Object clone()

  Create a copy of the editor kit. This allows an implementation to serve as a prototype for others, so that they can be quickly created.
  Overrides:
    `clone` in class `javax.swing.text.StyledEditorKit`

### createDefaultDocument

    public javax.swing.text.Document createDefaultDocument()

  Creates an uninitialized text storage model that is appropriate for this type of editor.
  Overrides:
    `createDefaultDocument` in class `javax.swing.text.StyledEditorKit`
  Returns:
    the model

### getContentType

    public java.lang.String getContentType()

  Get the MIME type of the data that this kit represents support for. This kit supports the type `text/java`.
  Overrides:
    `getContentType` in class `javax.swing.text.DefaultEditorKit`

### getStylePreferences

    public JavaContext getStylePreferences()

### getViewFactory

    public final javax.swing.text.ViewFactory getViewFactory()

  Fetches a factory that is suitable for producing views of any models that are produced by this kit. The default is to have the UI produce the factory, so this method has no implementation.
  Overrides:
    `getViewFactory` in class `javax.swing.text.StyledEditorKit`
  Returns:
    the view factory

### setStylePreferences

    public void setStylePreferences(JavaContext prefs)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD